package cz.frantovo.hrisniciSpameri.dao;

import cz.frantovo.hrisniciSpameri.dto.Cil;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.util.ArrayList;
import java.util.Collection;
import java.util.logging.Level;

/**
 *
 * @author fiki
 */
public class CilDAO extends HrisniciSuperDAO {

    private enum SQL {

        VSECHNY_CILE
    }

    public Collection<Cil> getCile() {
        Collection<Cil> cile = new ArrayList<Cil>();

        Connection db = getSpojeni(null);
        if (db == null) {
            return null;
        } else {
            PreparedStatement ps = null;
            ResultSet rs = null;
            try {
                ps = db.prepareStatement(getSQL(SQL.VSECHNY_CILE));
                rs = ps.executeQuery();
                while (rs.next()) {
                    Cil c = new Cil();
                    c.setId(rs.getInt("id"));
                    c.setNazev(rs.getString("nazev"));
                    c.setUrl(rs.getString("url"));
                    c.setSelekt(rs.getString("selekt"));
                    c.setDatabaze(rs.getString("databaze"));
                    cile.add(c);
                }
            } catch (Exception e) {
                log.log(Level.SEVERE, "Chyba při získávání seznamu cílů z databáze", e);
            } finally {
                zavri(db, ps, rs);
            }
        }

        return cile;
    }
}
